<?php
include 'core/sys.php';
head('Отправление подарка');
reg();
$money = 1000;
if(isset($_GET['view']) and !empty($_GET['ank'])){
$pers_id = int($_GET['ank']);
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$pers_id."' LIMIT 1"));
	if(!$ank){
	head('Профиль');
	echo '<div id="error">Такого пользователя не существует</div>';
	foot();
	exit;
	}
	if($user['id']==$pers_id){
	header('Location: presents.php');
	exit;
	}
	echo '<div class="name">Подарки <a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a>:</div>';
$total = mysql_result(mysql_query("SELECT COUNT(id) FROM `presents_user` WHERE `to_id`='".$ank['id']."'"),0);
	if($total==0){
	echo '<div class="row">У '.$ank['login'].' нет подарков :(</div>';
	}else{
	$my_gift_q = mysql_query("SELECT * FROM `presents_user` WHERE `to_id`='".$ank['id']."' ORDER BY `time` DESC LIMIT ".$page.",".$set['str']." ");
		while($my_gift = mysql_fetch_assoc($my_gift_q)){
		$us= mysql_fetch_assoc(mysql_query("SELECT `login`,`id` FROM `users` WHERE `id`='".$my_gift['from_id']."' LIMIT 1"));
		echo '<div class="row" id="center"><img  src="img/presents/present'.$my_gift['present_id'].'.png"><br>
		Прислал(а): <a href="pers.php?ank='.$us['id'].'">'.$us['login'].'</a><br> 
		Дата: '.clock($my_gift['time']).'<br>
		
		</div>';
		}
		echo '<div class="name">Всего подарков: '.$total.'</div>';
		if($total > $set['str'])
		{
		pages($page, $total, 'presents.php?view&amp;ank='.$pers_id.'&amp;', $set['str']);
		}
	}

foot();
exit;
}
if(isset($_GET['send']) and !empty($_GET['ank'])){
$pers_id = int($_GET['ank']);
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$pers_id."' LIMIT 1"));
	if(!$ank){
	head('Профиль');
	echo '<div id="error">Такого пользователя не существует</div>';
	foot();
	exit;
	}
	if($user['id']==$pers_id){
	header('Location: my.php');
	exit;
	}
echo '<div class="name">Отправить подарок <a href="pers.php?ank='.$pers_id.'">'.$ank['login'].'</a></div><div class="row" id="center">';
	if(!empty($_GET['gift'])){
		if($user['money']<$money){
		echo '<div id="error">У Вас мало денег для подарка :(</div></fiv>';
		foot();
		exit;
		}
	$gift_id = int($_GET['gift']);
	$gift = mysql_fetch_assoc(mysql_query("SELECT * FROM `presents` WHERE `id`='".$gift_id."' LIMIT 1"));
	if(!$gift){
		echo '<div id="error">Такого подарка нет/div></div>';
		foot();
		exit;
		}
	
	echo '<img src="img/presents/present'.$gift['id'].'.png"><br>Подарок отправлен!</div>';
	mysql_query("UPDATE `users` SET `money`=`money`-'".$money."' WHERE `id`='".$user['id']."'");
	mysql_query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$ank['id']."'");
	mysql_query("INSERT INTO `journal` SET
	`user_id`='".$ank['id']."',
	`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> прислал вам подарок! <div id=\"center\"><img src=\"img/presents/present".$gift['id'].".png\"></div>',
	`time`='".time()."'");
	mysql_query("INSERT INTO `presents_user` SET
	`from_id`='".$user['id']."',
	`to_id`='".$pers_id."',
	`present_id`='".$gift_id."',
	`time`='".time()."'");
	foot();
	exit;
	}
$presents_q = mysql_query("SELECT * FROM `presents`");
while($presents = mysql_fetch_assoc($presents_q)){
echo '<a href="presents.php?send&ank='.$pers_id.'&gift='.$presents['id'].'"><img src="img/presents/present'.$presents['id'].'.png"></a>';
}
echo '</div>';
echo '<div class="row">* Цена любого подарка <img src="img/money/money.png"> '.$money.'<br>
** Для того чтобы  отправить подарок, нажмите на любое изображение </div>';
}else{
echo '<div class="name">Мои подарки:</div>';
$total = mysql_result(mysql_query("SELECT COUNT(id) FROM `presents_user` WHERE `to_id`='".$user['id']."'"),0);
	if($total==0){
	echo '<div class="row">У Вас нет подарков :(</div>';
	}else{
	$my_gift_q = mysql_query("SELECT * FROM `presents_user` WHERE `to_id`='".$user['id']."' ORDER BY `time` DESC LIMIT ".$page.",".$set['str']." ");
		while($my_gift = mysql_fetch_assoc($my_gift_q)){
		$ank = mysql_fetch_assoc(mysql_query("SELECT `login`,`id` FROM `users` WHERE `id`='".$my_gift['from_id']."' LIMIT 1"));
		echo '<div class="row" id="center"><img  src="img/presents/present'.$my_gift['present_id'].'.png"><br>
		Прислал(а): <a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a><br> 
		Дата: '.clock($my_gift['time']).'<br>
		
		</div>';
		}
		echo '<div class="name">Всего подарков: '.$total.'</div>';
		if($total > $set['str'])
		{
		pages($page, $total, 'presents.php?&amp;', $set['str']);
		}
	}
}
foot()
?>